<?php
$host = 'localhost';
$dbname = 'classicmodels';
$username = 'amrimawi';
$password = 'Charger!14';

try {
    $pdo = new PDO("mysql:host=$host; dbname=$dbname", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    die("Database connection failed: " . $e->getMessage());
}

if (isset($_POST['searchEmployee'])) {
    $empNumber = $_POST['employeeNumber'];
    $stmt = $pdo->prepare("SELECT * FROM employees WHERE employeeNumber = ?");
    $stmt->execute([$empNumber]);
    $employees = $stmt->fetchAll();

    echo "<h3>Employee Search Results</h3>";
    echo count($employees) . " record(s) found.<br><br>";
    foreach ($employees as $employee) {
        echo "Employee Number: " . $employee['employeeNumber'] . "<br>";
        echo "Name: " . $employee['firstName'] . " " . $employee['lastName'] . "<br>";
        echo "Job Title: " . $employee['jobTitle'] . "<br><br>";
    }
}

if (isset($_POST['searchOrders'])) {
    $startDate = $_POST['startDate'];
    $endDate = $_POST['endDate'];
    $stmt = $pdo->prepare("SELECT * FROM orders WHERE orderDate BETWEEN ? AND ?");
    $stmt->execute([$startDate, $endDate]);
    $orders = $stmt->fetchAll();

    echo "<h3>Order Date Range Search Results</h3>";
    echo count($orders) . " record(s) found.<br><br>";
    foreach ($orders as $order) {
        echo "Order Number: " . $order['orderNumber'] . "<br>";
        echo "Order Date: " . $order['orderDate'] . "<br>";
        echo "Status: " . $order['status'] . "<br><br>";
    }
}
?>
